Bug 128886 - libbonobo-2.6.2-1 update breaks Evolution
libbonobo-2.6.2-1 update breaks Evolution
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libbonobo (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-30 17:24 EDT by Alexander Dalloz
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:38:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Dalloz 2004-07-30 17:24:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.6) Gecko/20040510

Description of problem:
The new libbonobo-2.6.2-1 update package causes at least Evolution to
break. It starts with a couple of complaints about unability to
register things and then sits there unusable.

Other software might be affected too.

A downgrade to the older libbonobo-2.6.0-2 fixes the situation.

Version-Release number of selected component (if applicable):
libbonobo-2.6.2-1

How reproducible:
Always

Steps to Reproduce:
1. Upgrade to libbonobo-2.6.2-1 via yum / up2date or rpm
2. start of Evolution
3.
    

Actual Results:  Error popup boxes:
Komponente OAFIID:GNOME_Evolution_Mail_ShellComponent konnte nicht
aktiviert werden:
Der Fehler von Aktivierungssystem lautet:
Unknown CORBA exception id: 'IDL:omg.org/CORBA/INV_OBJREF:1.0'
Komponente OAFIID:GNOME_Evolution_Addressbook_ShellComponent konnte
nicht aktiviert werden:
Komponente OAFIID:GNOME_Evolution_Calendar_ShellComponent konnte nicht
aktiviert werden:
Komponente OAFIID:GNOME_Evolution_Summary_ShellComponent konnte nicht
aktiviert werden:

Evolution main window comes up but application is unusable.

Expected Results:  no errors

Additional info:
Comment 1 Alexander Dalloz 2004-07-31 12:42:45 EDT
After updating to libbonobo-2.6.2-1 a reboot of the system will fix
the situation and Evolution behaves normal.

Posters on the mailing list confirm that a reboot is necessary and a
temporary runlevel change from 5 to 3 and back to 5 is not enough.
Comment 2 Ed Hill 2004-07-31 13:24:11 EDT
I'd like to confirm this bug with .libbonobo-2.6.2-1 on FC2.

The work-around I found was:

  killall -TERM gconfd-2
  killall -TERM bonobo-activation-server
  killall -TERM evolution-wombat
  killall -TERM evolution-alarm-notify

which may be more than required but it did avoid having to do a reboot.
Comment 3 Matthew Miller 2005-04-26 11:09:48 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Ray Strode [halfline] 2005-05-11 17:38:03 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.

Note You need to log in before you can comment on or make changes to this bug.